package com.brilliance.isc.vo.model;


import com.brilliance.isc.bo.*;
import com.brilliance.isc.bo.model.Lendoc;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.brilliance.isc.common.vo.PtsptaVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;


/**
* Contract Group Guarantee
*/
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Gcdgrp extends AbstractCommonVo {

	
	private GcdVo rec;

	
	private GctVo blk;

	
	private Gcacbs cbs;

	
	private PtsptaVo apl;

	
	private PtsptaVo ben;

	
	private PtsptaVo prb;

	
	private PtsptaVo oth;

	
	private PtsptaVo iss;

	@JsonProperty("int")
	private PtsptaVo tmpint;

	
	private PtsptaVo awi;

	
	private PtsptaVo oap;

	
	private PtsptaVo rmr;

	private PtsptaVo bec;


	public void reset() {

		if (rec == null) {
			rec = new GcdVo();
		}
		if (blk == null) {
			blk = new GctVo();
		}
		if (cbs == null) {
			cbs = new Gcacbs();
		}
		cbs.reset();
		if (apl == null) {
			apl = new PtsptaVo();
		}
		apl.reset();
		if (ben == null) {
			ben = new PtsptaVo();
		}
		ben.reset();
		if (prb == null) {
			prb = new PtsptaVo();
		}
		prb.reset();
		if (oth == null) {
			oth = new PtsptaVo();
		}
		oth.reset();
		if (iss == null) {
			iss = new PtsptaVo();
		}
		iss.reset();
		if (tmpint == null) {
			tmpint = new PtsptaVo();
		}
		tmpint.reset();
		if (awi == null) {
			awi = new PtsptaVo();
		}
		awi.reset();
		if (oap == null) {
			oap = new PtsptaVo();
		}
		oap.reset();
		if (rmr == null) {
			rmr = new PtsptaVo();
		}
		rmr.reset();
		if (bec == null) {
			bec = new PtsptaVo();
		}
		bec.reset();
	}

}